package com.pcloud.book.group.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/9/23 15:35
 **/
public class BookGroupServe extends BaseEntity {
    private static final long serialVersionUID = 7725930392678110441L;

    @ApiModelProperty("作品或应用id")
    private Long serveId;

    @ApiModelProperty("类型；APP应用，PRODUCT作品")
    private String serveType;

    @ApiModelProperty("链接")
    private String serveUrl;

    @ApiModelProperty("短链")
    private String shortUrl;

    @ApiModelProperty("社群书id")
    private Long bookGroupId;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("应用或作品名称")
    private String serveName;

    @ApiModelProperty("类型")
    private String fromType;

    @ApiModelProperty("是否超级作者")
    private Boolean isSuper;


    public Long getServeId() {
        return serveId;
    }

    public void setServeId(Long serveId) {
        this.serveId = serveId;
    }

    public String getServeType() {
        return serveType;
    }

    public void setServeType(String serveType) {
        this.serveType = serveType;
    }

    public String getServeUrl() {
        return serveUrl;
    }

    public void setServeUrl(String serveUrl) {
        this.serveUrl = serveUrl;
    }

    public String getShortUrl() {
        return shortUrl;
    }

    public void setShortUrl(String shortUrl) {
        this.shortUrl = shortUrl;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }


    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public String getFromType() {
        return fromType;
    }

    public void setFromType(String fromType) {
        this.fromType = fromType;
    }

    public Boolean getIsSuper() {
        return isSuper;
    }

    public void setIsSuper(Boolean isSuper) {
        this.isSuper = isSuper;
    }

    @Override
    public String toString() {
        return "BookGroupServe{" +
                "serveId=" + serveId +
                ", serveType='" + serveType + '\'' +
                ", serveUrl='" + serveUrl + '\'' +
                ", shortUrl='" + shortUrl + '\'' +
                ", bookGroupId=" + bookGroupId +
                ", createUser=" + createUser +
                ", serveName='" + serveName + '\'' +
                ", fromType='" + fromType + '\'' +
                ", isSuper=" + isSuper +
                "} " + super.toString();
    }
}
